System.ServiceModel 4.0.0.0 System.ServiceModel.Security.ISecuritySession To be added.

Represents a secure conversation security session. The communicating parties secure all messages on the session using a SecurityContextToken that is issued by the server as part of session establishment.

- Method
  4.0.0.0
  System.Boolean ``

  This method is useful for sessions like WS-RM sessions that build on top of the security session and refer to the security session token's identifier as part of their session establishment protocol.

  Tries to read the session token identifier pointed to by the XML reader.

  true if the XML pointed to by the XML reader corresponds to a SecurityKeyIdentifierClause that matches the security session's token; otherwise, false.

  The with which to try to read the token.
- Method
  4.0.0.0
  System.Void `` To be added.

  Tries to write the SecurityKeyIdentifierClause corresponding to the security session's token. This method is useful for sessions like WS-RM sessions that build on top of the security session and refer to the security session token's identifier as part of their session establishment protocol.

  The with which to try to write the token.